petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscMemoryView

Shows the amount of memory currently being used in a communicator.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMemoryView(PetscViewer viewer,const char message[])

Collective on PetscViewer

### Input Parameter

| viewer | - the viewer that defines the communicator
| message | - string printed before values

### Options Database

| -malloc | - have PETSc track how much memory it has allocated
| -memory_view | - during PetscFinalize() have this routine called

### See Also

PetscMallocDump(), PetscMemoryGetCurrentUsage(), PetscMemorySetGetMaximumUsage()

Level:intermediate
Location:src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages